using System;
using UnityEngine;

namespace MoreLights
{
  public class CoroutineManager : MonoBehaviour
  {
    Action action;

    public void SetAction(Action action)
    {
      this.action = action;
    }

    void OnEnable()
    {
      if (action != null)
        action.Invoke();
    }
  }
}
